%define name		glopster
%define version		1.3.1
%define release		1%{_my_ext}

Summary:	gLopster is a opennap/chat client.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/File Transfer
Source:		glopster-1.3.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Vendor:		%{vendor}
Distribution:	%{distribution}
Packager:	%{packager}
BuildRequires:	gcc3.3

%description
gLopster is an opennap and chat client.

Gives support to play ogg, flac, mp3 and most other
video/audio files.

Build Options:
	--with-zlib

%prep
%setup -q

%build
CC=gcc-3.3.4 ./configure --prefix=/usr \
		--with-zlib \
		--mandir=/usr/share/man \
		--sysconfdir=/etc \
		--datadir=/usr/share \
		--includedir=/usr/include \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib \
		--localstatedir=/var/lib \
		--infodir=/usr/share/info \
		--x-includes=/usr/X11R6/include \
		--x-libraries=/usr/X11R6/lib

make
%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/ $RPM_BUILD_ROOT%{_liconsdir}/ $RPM_BUILD_ROOT%{_miconsdir}
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_liconsdir}/glopster.png
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_miconsdir}/glopster.png
cp $RPM_BUILD_DIR/%{name}-%{version}/src/glopster.png $RPM_BUILD_ROOT%{_iconsdir}/glopster.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_menudir}/ $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Networking/File\ transfer/

cp $RPM_BUILD_DIR/%{name}-%{version}/src/gLopster.desktop $RPM_BUILD_ROOT%{_datadir}/applications/gLopster.desktop
cp $RPM_BUILD_DIR/%{name}-%{version}/src/gLopster.desktop $RPM_BUILD_ROOT%{_datadir}/applnk-mdk/Networking/File\ transfer/gLopster.desktop

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): needs="x11" \
        section="Networking/File\ Transfer" \
        title="gLopster" \
        longtitle="Extensive Napsterclient developed in C using the GTK toolkit." \
        command="%{_bindir}/%{name}" \
        icon="glopster.png"
EOF

%files

%defattr(-,root,root)
/usr/*
%doc BUGS NEWS README README.ES README.pings TODO INSTALL COPYING ChangeLog ChangeLog.Sgop

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Sun Dec 19 2004  Scott Grayban <sgrayban@borgnet.us> 1.3.1-4bgn
 - rebuild for right extension

* Wed Nov 10 2004 Scott Grayban <sgrayban@borgnet.us>
  - Re-Build for MDK 10.1

* Mon Aug 2 2004 <sgrayban@borgnet.us>
  - Fixed an error with Server type reporting.

* Fri Jul 23 2004 <sgrayban@borgnet.us>
  - Rebuilded for flac and ogg support

* Wed Jul 21 2004 <sgrayban@borgnet.us>
  - gLopster packaged for Mandrake 10
  - Initial rpm build
